# $Revision: 1.15 $, $Date: 2010/08/18 14:02:52 $
%define		reldate	100627
Summary:	NT SAM password recovery utility
Summary(pl.UTF-8):	Narzędzie do odtwarzania haseł NT SAM
Name:		chntpw
# Version is taken from HISTORY.txt
Version:	0.99.6
Release:	1
Epoch:		1
License:	GPL (ntchpw), LGPL (ntreg)
Group:		Applications/System
Source0:	http://pogostick.net/~pnh/ntpasswd/%{name}-source-%{reldate}.zip
# Source0-md5:	8b046c2073f27eed728e18635ba72dd4
Patch0:		%{name}-debian.patch
URL:		http://pogostick.net/~pnh/ntpasswd/
BuildRequires:	rpmbuild(macros) >= 1.553
Source2:	%{name}-README.Dist
# Patches from Jim Meyering to improve robustness of the code.
Patch5:		%{name}-080526-correct-test-for-failing-open-syscall.patch
Patch6:		%{name}-080526-detect-failure-to-write-key.patch
Patch7:		%{name}-080526-reged-no-deref-null.patch
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	unzip
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
chntpw is NT SAM password recovery utility. This little program
provides a way to view information and change user passwords in a
Windows NT/2000 userdatabase file. Old passwords need not be known
since they are overwritten. In addition it also contains a simple
registry editor (same size data writes) and an hex-editor which
enables you to fiddle around with bits and bytes in the file as you
wish. If you want GNU/Linux bootdisks for offline password recovery
you can add this utility to custom image disks or use those provided
at the tools homepage.

%description -l pl.UTF-8
chntpw to narzędzie do odtwarzania haseł NT SAM. Ten mały program
dostarcza sposób na oglądanie informacji i zmianę haseł użytkowników w
pliku bazy użytkowników Windows NT/2000. Nie trzeba znać starych
haseł, ponieważ zostaną one nadpisane. Ponadto pakiet zawiera prosty
edytor rejestru (zapis danych o tym samym rozmiarze) i edytor
szesnastkowy pozwalający na modyfikowanie bitów i bajtów w dowolnym
pliku. Jeśli chcemy mieć bootkietkę z Linuksem do odtwarzania haseł,
możemy dodać to narzędzie do własnych obrazów lub użyć obrazów ze
strony domowej.

%prep
%setup -q -n %{name}-%{reldate}
%patch0 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

cp -p %{SOURCE2} README.Dist

%undos WinReg.txt

ver=$(awk '/%{reldate}/{print $3}' HISTORY.txt)
if [ "$ver" != %{version} ]; then
	: plz correct version to $ver
	exit 1
fi

%build
%{__make} chntpw cpnt reged \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -DUSEOPENSSL -Wall"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man8}
install -p chntpw cpnt reged $RPM_BUILD_ROOT%{_bindir}
cp -a chntpw.8 $RPM_BUILD_ROOT%{_mandir}/man8/chntpw.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt regedit.txt WinReg.txt HISTORY.txt
%doc README.Dist
%attr(755,root,root) %{_bindir}/chntpw
%attr(755,root,root) %{_bindir}/cpnt
%attr(755,root,root) %{_bindir}/reged
%{_mandir}/man8/chntpw.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: chntpw.spec,v $
Revision 1.15  2010/08/18 14:02:52  glen
- add patches from fedora
- 100627 release is actually version 0.99.6

Revision 1.14  2010/07/05 19:52:14  areq
- 100627

Revision 1.13  2010/04/12 19:24:10  arekm
- release 2

Revision 1.12  2009/11/17 17:59:07  evil
- up to 080526
- cosmetic

Revision 1.11  2007/10/13 14:08:14  areq
- 070923

Revision 1.10  2007/02/12 21:23:50  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:48:42  baggins
- converted to UTF-8

Revision 1.8  2004/11/24 14:40:42  darekr
- BR: unzip

Revision 1.7  2004/11/10 13:32:59  paladine
- cosmetics

Revision 1.6  2004/08/22 12:12:48  areq
- 040818

Revision 1.5  2004/07/03 18:05:14  areq
- 040116

Revision 1.4  2004/03/19 23:46:23  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.3  2003/08/06 16:46:18  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.2  2003/08/02 21:27:38  qboosh
- pl, cleanup

Revision 1.1  2003/07/05 17:51:02  areq
- init PLD spec
